apiVersion: apps/v1
kind: Deployment
metadata: 
  name: translator
  labels:
    app: translator
spec:
  replicas: 4
  selector:
    matchLabels:
      app: translator
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 8
  template:
    metadata:
      labels:
        app: translator
    spec:
      containers:
        - name: translator
          image: ranjanmangla1/translator
          envFrom:
            - configMapRef:
                name: translator-configmap
            - secretRef:
                name: translator-secret 